Page MenuHomePhabricator

Small fixes needed for Campaign fallback
Closed, ResolvedPublic

Description

Just three small changes needed before campaign fallback can be merged:

  • Rename the new config setting to wgCentralNoticeMaxFallbackIterations... (Or maybe wgCentralNoticeMaxCampaignFallback? Anyway, at least, it needs to be more specific and clear than what's in the current latest patch set. Long is fine.)
  • Reduce default value to 5.
  • Add documentation of the new setting to the README.

As discussed, we can just upload a new patch set to the existing Gerrit change, then someone can +2 the whole thing. For more details, please see the comment on extension.json for Patch Set 39 from September 10th:

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralNotice/+/517931

Thanks!!!!

Details

Related Gerrit Patches:

Event Timeline

DStrine created this task.Sep 13 2019, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2019, 4:55 PM
AndyRussG renamed this task from Tiny text change and release Campaign fallback to Small fixes needed for Campaign fallback.Sep 20 2019, 5:20 PM
AndyRussG updated the task description. (Show Details)
mepps added a subscriber: mepps.Sep 24 2019, 8:37 PM

I went with MaxCampaignFallback because I thought it had a better ring to it than using Iterations. I also noticed there's another config variable named FallbackHideCookieDuration which seems unrelated to Campaign Fallback so this name might be more clear than MaxFallbackIterations. Another options is MaxFallbackCampaign but I might be overthinking it :).

Change 538967 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/CentralNotice@master] Change name, default, and add documentation for MaxCampaignFallback

https://gerrit.wikimedia.org/r/538967

AndyRussG assigned this task to mepps.Oct 8 2019, 6:19 PM

Change 538967 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Change name, default value, and document CentralNoticeMaxCampaignFallback

https://gerrit.wikimedia.org/r/538967

DStrine closed this task as Resolved.Tue, Oct 29, 8:37 PM